Summary: Electric Fence C memory debugging library
Name: ElectricFence
Version: 2.0.5
Release: 11
Excludearch: alpha
Copyright: GPL
Group: Development/Debuggers
Source: sunsite.unc.edu:/pub/Linux/devel/c/ElectricFence-2.0.5.tar.gz
Patch: ElectricFence-2.0.5-glibc.patch
Patch1: ElectricFence-2.0.5-longjmp.patch
BuildRoot: /var/tmp/electricfence-root
Summary(de): Electric Fence C Memory-Debugging-Library
Summary(fr): Bibliothque C de dbuggage mmoire Electric Fence
Summary(tr): C iin bellek hatas ayklama kitapl

%description
Electric Fence is a libary that can be used for C programming and 
debugging.  You link it in at compile time and it will warn you of
possible problems such as free'ing memory that doesn't exist, etc.

%description -l de
Electric Fence ist eine Library, die fr das Programmieren in C und
fr Debugging-Zwecke benutzt werden kann. Sie wird beim Kompilieren
gelinkt und warnt vor mglichen Probleme, etwa vor der Freigabe
von nicht existierendem Speicher und hnlichem.

%description -l fr
Electric Fence est une bibliothque utilise pour la programmation en C
et le dbogage. Vous pouvez la lier  la compilation et elle vous
avertira des problmes ventuels de dsallocation de mmoire, etc.

%description -l tr
Electric Fence, C'de programlama ve hata ayklama iin kullanlabilen bir
kitaplktr. Derleme esnasnda programnza balarsanz, sizi ortaya
kabilecek sorunlar (var olmayan bir bellek parasnn serbest braklmas
gibi) konusunda uyarr.

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .jmp

%build
make CFLAGS='-O2'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,man/man3}

make	LIB_INSTALL_DIR=$RPM_BUILD_ROOT/usr/lib \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT/usr/man/man3 \
	install

echo ".so man3/libefence.3" > $RPM_BUILD_ROOT/usr/man/man3/efence.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
/usr/lib/libefence.a
/usr/man/man3/efence.3
/usr/man/man3/libefence.3

%changelog
* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- create efence.3 (problem #830)

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- need to use sigsetjmp() and siglongjmp() for proper testing

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use ExcludeArch instead of Exclude

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
